Subject: RE: [Sip] multicast restricted to ttl=1

From: "Roy, Radhika R, ALASO" <[email-masked]>
Date: Fri, 22 Feb 2002 08:42:47 -0500

Inline [RRR]

-----Original Message-----
From: David R. Oran [mailto:[email-masked]]
Sent: Thursday, February 21, 2002 11:06 PM
To: [email-masked]
Subject: RE: [Sip] multicast restricted to ttl=1

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Jonathan Rosenberg
> Sent: Sunday, February 17, 2002 2:09 PM
> To: [email-masked]
> Subject: [Sip] multicast restricted to ttl=1
> 
> 
> Folks,
> 
> As a result of IESG review, there were concerns about the 
> multicast usage of SIP. In particular, for the things we were 
> using it for, it was felt that a limitation of scope to ttl=1 
> was needed. As such, I have modified the transport chapter to 
> reflect a SHOULD level usage of ttl=1. 
>
Well, according to bis-08, multicast can be used to find a registrar if
you don't have a DNS-discoverable proxy to route your register to. If
that's the purpose, what leads one to believe that the registrar is
likely to be on your local subnet?

Seems if multicast for regisration is useful at all, it makes more sense
for the discovery to either be via expanding ring broadcast and/or an
admin-scoped group.

BTW: bis-08 does not prohibit multicasting INVITES, which is equally
useful (which could be to say not very...) as multicasting
registrations, for completely infrastructure-less small configurations.
The same question about single-hop applies.

What am I missing? If I'm not missing anything and the SHOULD is an
attempt balance utility against danger, I'm not sure the balance is
right, since violating a SHOULD makes you only conditionally compliant,
whereas I can think of quite a few configurations which are small enough
to want to use this (e.g. for minimal functioality when your
proxy/registrar is pooched) yet span more than one subnet.

Does an admin scope on the multicast strike a better balance?

[RRR] How about another suggestion: ttl=1 is a default behavior while the administrative scope can also be used?

I don't feel strongly about this, BTW.

Dave.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip